#include <windows.h>
#include <windowsx.h> 

#include "types.h"
//#include "screen_mgr.h"
#include "win32_NES_screen_mgr.h"
#include "win32_windowed_NES_screen_mgr.h"
//#include "nnnwindowmode.h"
//#include "nnnfullscreenmode.h"

#define EMUTYPE_NONE	0
#define EMUTYPE_NES		1
#define EMUTYPE_GB		2


class win32_screen_mgr
{
public:
	win32_screen_mgr(HWND window_handle);
	~win32_screen_mgr();

	boolean toggle_fullscreen();
	boolean is_fullscreen(); // { return fullscreen; }
	boolean SetScreenmgr(int);
	win32_NES_screen_mgr* Get_Nes_Screenmgr();
	//  NES_screen_mgr* Get_Nes_Screenmgr();
	void assert_palette(){if(nes_screen) nes_screen->assert_palette();}
	uint32 get_width();
	uint32 get_height();
	void nnnManuEnable(unsigned char);

protected:
	HWND wnd_handle;
	boolean fullscreen;

	win32_NES_screen_mgr* nes_screen; // ptr windowed/fullscreen screen manager
	//  GB_screen_mgr* gb_screen;
	int emutype;
	boolean GoWindowed();
	boolean GoFullscreen();
private:
};

